ExchangeProtocolVirtualServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangeProtocolVirtualServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangeProtocolVirtualServer

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Version

    public interface ExchangeProtocolVirtualServer

extends AppServer, Version

Represents the Exchange Queue/Protocol Virtual Server

Naming Rules:
  0="parent,protocolName,virtualServerName"
Persistable:
  true
Table Name:
  EXCHPROVIRT
Display Name:
  parent,protocolName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`RUNNING, STOPPED`

Method Summary
`boolean` | `getGlobalActionsSupported()` Indicates whether all remote connections for the virtual server can be controlled Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_QueueVirtualServer.GlobalActionsSupported
`boolean` | `getGlobalStop()` Indicates whether the virtual server is in disabled mode Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_QueueVirtualServer.GlobalStop
`ExchangeLink[]` | `getLinks()`
`ExchangeServer` | `getParent()`
`java.lang.String` | `getProtocolName()` The transmission protocol for the virtual server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_QueueVirtualServer.ProtocolName Example SMTP
`java.lang.String` | `getVirtualServerName()` The name of the virtual server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_QueueVirtualServer.VirtualServerName Example 0
`boolean` | `hasGlobalActionsSupported()`
`boolean` | `hasGlobalStop()`
`boolean` | `hasLinks()`
`boolean` | `hasParent()`
`boolean` | `hasProtocolName()`
`boolean` | `hasVirtualServerName()`
`void` | `setGlobalActionsSupported(boolean x)`
`void` | `setGlobalStop(boolean x)`
`void` | `setLinks(ExchangeLink[] x)`
`void` | `setParent(ExchangeServer x)`
`void` | `setProtocolName(java.lang.String x)`
`void` | `setVirtualServerName(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getParent

    ExchangeServer getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ExchangeServer x)

### hasParent

    boolean hasParent()

### getProtocolName

    java.lang.String getProtocolName()
                                     throws AttributeNotSetException

  The transmission protocol for the virtual server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_QueueVirtualServer.ProtocolName Example SMTP

  Throws:
    `AttributeNotSetException`

### setProtocolName

    void setProtocolName(java.lang.String x)

### hasProtocolName

    boolean hasProtocolName()

### getGlobalStop

    boolean getGlobalStop()
                          throws AttributeNotSetException

  Indicates whether the virtual server is in disabled mode Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_QueueVirtualServer.GlobalStop

  Throws:
    `AttributeNotSetException`

### setGlobalStop

    void setGlobalStop(boolean x)

### hasGlobalStop

    boolean hasGlobalStop()

### getGlobalActionsSupported

    boolean getGlobalActionsSupported()
                                      throws AttributeNotSetException

  Indicates whether all remote connections for the virtual server can be controlled Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_QueueVirtualServer.GlobalActionsSupported

  Throws:
    `AttributeNotSetException`

### setGlobalActionsSupported

    void setGlobalActionsSupported(boolean x)

### hasGlobalActionsSupported

    boolean hasGlobalActionsSupported()

### getVirtualServerName

    java.lang.String getVirtualServerName()
                                          throws AttributeNotSetException

  The name of the virtual server Standard Content Origin / Best Practice Content From the WMI classes for Exchange Server 2003: Exchange_QueueVirtualServer.VirtualServerName Example 0

  Throws:
    `AttributeNotSetException`

### setVirtualServerName

    void setVirtualServerName(java.lang.String x)

### hasVirtualServerName

    boolean hasVirtualServerName()

### getLinks

    ExchangeLink[] getLinks()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setLinks

    void setLinks(ExchangeLink[] x)

### hasLinks

    boolean hasLinks()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD